/passkey/update-passkey
POST
/passkey/update-passkey
const url = 'https://gymgym.club/api/auth/passkey/update-passkey';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"id":"example","name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gymgym.club/api/auth/passkey/update-passkey \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "name": "example" }'Update a specific passkey’s name
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
id
required
The ID of the passkey which will be updated. Eg: “passkey-id”
string
name
required
The new name which the passkey will be updated to. Eg: “my-new-passkey-name”
string
Examplegenerated
{ "id": "example", "name": "example"}Responses
Section titled “Responses”Passkey updated successfully
Media typeapplication/json
object
passkey
required
object
id
required
string
name
string
publicKey
required
string
userId
required
string
credentialID
required
string
counter
required
number
deviceType
required
string
backedUp
required
boolean
transports
string
createdAt
string format: date-time
aaguid
string
Examplegenerated
{ "passkey": { "name": "example", "publicKey": "example", "userId": "example", "credentialID": "example", "counter": 1, "deviceType": "example", "backedUp": true, "transports": "example", "createdAt": "2026-04-15T12:00:00Z", "aaguid": "example" }}Bad Request. Usually due to missing parameters, or invalid parameters.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Unauthorized. Due to missing or invalid authentication.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Forbidden. You do not have permission to access this resource or to perform this action.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Not Found. The requested resource was not found.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Too Many Requests. You have exceeded the rate limit. Try again later.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Internal Server Error. This is a problem with the server that you cannot fix.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}